Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0010360
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2009-08-20 16:462009-10-16 00:00
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revisiond3b42e6c8f1a
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0010360: Check if obsInstance variable in VerticalMenu output is still needed, if not remove it.

DescriptionAfter the refactor to show the logo in issue 10340 this variable may not be used anymore.

This should be verified and the variable removed if it's now unneeded.
TagsOBPS-Security
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0010340 closedshuehner Professional Subscription logo appears only after the Community Edition logo is displayed 

-  Notes
(0020815)
alostale (developer)
2009-10-07 09:58

It is not used anymore, it was used by the setOPSLogo() method in utils.js which was removed in 0010340
(0020817)
hgbot (developer)
2009-10-07 10:02

Repository: erp/devel/pi
Changeset: 6db638b4cf110b9298a631d88cc128a58df5cb44
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Oct 07 10:00:55 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6db638b4cf110b9298a631d88cc128a58df5cb44 [^]

fixed bug 0010360: Check if obsInstance variable in VerticalMenu output is still needed

---
M src/org/openbravo/erpCommon/utility/VerticalMenu.html
M src/org/openbravo/erpCommon/utility/VerticalMenu.java
M src/org/openbravo/erpCommon/utility/VerticalMenu.xml
---
(0020898)
hgbot (developer)
2009-10-09 10:03

Repository: erp/devel/pi
Changeset: d3b42e6c8f1a018b199b8059d006dd7a44a13cac
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Fri Oct 09 10:02:49 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d3b42e6c8f1a018b199b8059d006dd7a44a13cac [^]

related to issue 0010360: opsinstance variable was also used in InstanceManagement

---
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.html
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.java
M src/org/openbravo/erpCommon/ad_forms/InstanceManagement.xml
---
(0021058)
shuehner (administrator)
2009-10-15 14:47

Verified. The variable definition has been completely removed. Searching for the variable name did not show any users anymore.

- Issue History
Date Modified Username Field Change
2009-08-20 16:46 shuehner New Issue
2009-08-20 16:46 shuehner Assigned To => alostale
2009-08-20 16:46 shuehner Relationship added related to 0010340
2009-08-20 17:55 shuehner Tag Attached: OBPS-Security
2009-08-20 21:10 plujan Status new => scheduled
2009-10-07 09:58 alostale Note Added: 0020815
2009-10-07 10:02 hgbot Checkin
2009-10-07 10:02 hgbot Note Added: 0020817
2009-10-07 10:02 hgbot Status scheduled => resolved
2009-10-07 10:02 hgbot Resolution open => fixed
2009-10-07 10:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6db638b4cf110b9298a631d88cc128a58df5cb44 [^]
2009-10-09 10:03 hgbot Checkin
2009-10-09 10:03 hgbot Note Added: 0020898
2009-10-09 10:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/6db638b4cf110b9298a631d88cc128a58df5cb44 [^] => http://code.openbravo.com/erp/devel/pi/rev/d3b42e6c8f1a018b199b8059d006dd7a44a13cac [^]
2009-10-15 14:47 shuehner Status resolved => closed
2009-10-15 14:47 shuehner Note Added: 0021058
2009-10-15 14:47 shuehner Fixed in Version => pi
2009-10-16 00:00 anonymous sf_bug_id 0 => 2880172


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker